> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Tarif ändern

> Aendern Abrechnung Plan

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.de.json POST /v1/public/accounts/{account_id}/billing/change-plan
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/change-plan:
    post:
      tags:
        - public-accounts
        - public-billing
      summary: Aendern Abrechnung Plan
      description: Ändern Sie den Abrechnungsplan für das Konto.
      operationId: >-
        change_public_billing_plan_v1_public_accounts__account_id__billing_change_plan_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillingChangePlanRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicBillingPlanOperationResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validierungsfehler
      security:
        - PublicBearerAuth: []
components:
  schemas:
    BillingChangePlanRequest:
      description: Kunden Anfrage Schema for changing an Account subscription plan.
      properties:
        effective_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Gewünschtes Datum des Inkrafttretens der Planänderung
          title: Effective Datum
        plan_id:
          description: Ziel-Abrechnungsplan-ID
          enum:
            - smtp_per_mailbox
            - smtp_per_proxy
          title: Plan-ID
          type: string
      required:
        - plan_id
      title: BillingChangePlanRequest
      type: object
    PublicBillingPlanOperationResponse:
      properties:
        account_status:
          anyOf:
            - type: string
            - type: 'null'
          description: Kontostatus nach der Operation
          title: Kontostatus
        effective_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Als die Abrechnungsänderung in Kraft trat
          title: Wirksam bei
        eligible:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Ob das Konto für den Vorgang berechtigt war
          title: Berechtigt
        previous_plan_id:
          anyOf:
            - type: string
            - type: 'null'
          description: Vorherige Abrechnungsplan-ID
          title: Vorherige Plan-ID
        status:
          description: Status des Abrechnungsvorgangs
          title: Status
          type: string
        target_plan_id:
          anyOf:
            - type: string
            - type: 'null'
          description: Ziel-Abrechnungsplan-ID
          title: Zielplan-ID
      required:
        - status
      title: PublicBillingPlanOperationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Standort
          type: array
        msg:
          title: Nachricht
          type: string
        type:
          title: Fehler Typ
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````